# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# $Id: 38c0b9ea7b8f79896619f46a2fde20131379e2f4 $

EAPI=8

inherit multilib-build

DESCRIPTION="Virtual for libudev providers"

SLOT="0/1"
KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="systemd"

RDEPEND="
	!systemd? (
		|| (
			>=sys-fs/udev-251[${MULTILIB_USEDEP}]
			>=sys-apps/systemd-utils-251[udev,${MULTILIB_USEDEP}]
		)
	)
	systemd? ( >=sys-apps/systemd-251:0/2[${MULTILIB_USEDEP}] )
"
