# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# $Id: 951659aac51e420ca6f0f0fda30269a5f87ea228 $

EAPI=8

DESCRIPTION="Virtual to select between different udev daemon providers"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="systemd"

RDEPEND="
	systemd? ( >=sys-apps/systemd-217 )
	!systemd? (
		|| (
			>=sys-fs/udev-250.4
			sys-apps/systemd-utils[udev]
		)
	)
"
